Get events
curl --request GET \
--url https://api.secureannex.com/v0/organization/{organization_id}/events \
--header 'x-api-key: <api-key>'import requests
url = "https://api.secureannex.com/v0/organization/{organization_id}/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.secureannex.com/v0/organization/{organization_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.secureannex.com/v0/organization/{organization_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.secureannex.com/v0/organization/{organization_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.secureannex.com/v0/organization/{organization_id}/events")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.secureannex.com/v0/organization/{organization_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"result": [
{
"organization_id": "org123",
"event": "version",
"extension_id": "abcdef1234567890abcdef1234567890",
"extension_name": "Example Extension",
"destination": "Security Team Slack",
"platform": "chrome",
"time": "2026-06-04T12:34:56.000Z",
"details": "{\"schema\":1,\"event_type\":\"version\",\"timestamp\":\"2026-06-04T12:34:56.000Z\",\"event_data\":{},\"metadata\":{}}"
}
],
"page": 1,
"page_size": 25,
"total_count": 100,
"total_pages": 4
}{
"error": "Authentication required"
}{
"error": "Access forbidden"
}{
"error": "Daily API quota exceeded",
"limit": 100,
"reset_at": "2024-01-16T00:00:00Z"
}{
"error": "<string>",
"details": "<string>"
}Monitoring
Get events
Retrieve events for an organization instead of receiving them via a webhook destination. Events are returned ordered by time descending (most recent first, today going back into the past). Use start_date and end_date to bound the time range, and event, extension_id, or extension_name to filter.
GET
/
organization
/
{organization_id}
/
events
Get events
curl --request GET \
--url https://api.secureannex.com/v0/organization/{organization_id}/events \
--header 'x-api-key: <api-key>'import requests
url = "https://api.secureannex.com/v0/organization/{organization_id}/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.secureannex.com/v0/organization/{organization_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.secureannex.com/v0/organization/{organization_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.secureannex.com/v0/organization/{organization_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.secureannex.com/v0/organization/{organization_id}/events")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.secureannex.com/v0/organization/{organization_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"result": [
{
"organization_id": "org123",
"event": "version",
"extension_id": "abcdef1234567890abcdef1234567890",
"extension_name": "Example Extension",
"destination": "Security Team Slack",
"platform": "chrome",
"time": "2026-06-04T12:34:56.000Z",
"details": "{\"schema\":1,\"event_type\":\"version\",\"timestamp\":\"2026-06-04T12:34:56.000Z\",\"event_data\":{},\"metadata\":{}}"
}
],
"page": 1,
"page_size": 25,
"total_count": 100,
"total_pages": 4
}{
"error": "Authentication required"
}{
"error": "Access forbidden"
}{
"error": "Daily API quota exceeded",
"limit": 100,
"reset_at": "2024-01-16T00:00:00Z"
}{
"error": "<string>",
"details": "<string>"
}Authorizations
API key for authentication
Path Parameters
Organization ID
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 1000Platform to query
Available options:
chrome, firefox, edge, vscode, openvsx Filter by event type
Available options:
version, manifest, visibility, ownership, verdict, score, code_changes Filter by extension ID
Only include events at or after this date/time (ISO 8601). Inclusive.
Only include events at or before this date/time (ISO 8601). Inclusive.
